// Lucas Keyes
// CDXSurface.h
// this file holds the declaration for the CDXSurface class,
// which encapsulates many of the well-used functions for the
// DirectDraw surfaces.  This is the base class.



#ifndef __CDXSURFACE__
#define __CDXSURFACE__

#include "ddraw.h"

class CDXSurface {

protected:
	LPDIRECTDRAWSURFACE m_psurface;
	DWORD m_dwTransColor;
	BOOL m_bTransColorSet;

public:
	BOOL GetDC(HDC& hdc);
	BOOL ReleaseDC(HDC hdc);

};

#endif