// Lucas Keyes
// mapGrid object header file
// this object controls the mapGrid and improves program
// readability

#ifndef __MAPGRID_OBJECT__
#define __MAPGRID_OBJECT__

#include "defines.h"
#include "quadblock.h"

class mapGrid_Object {

private:
	short mapGridArray[MAXMAPY][MAXMAPX];
	int size_x;
	int size_y;

public:
	mapGrid_Object();
	short colorAt(int x, int y);

	void copyqbintomap(QuadBlock QB);

	void clearQuadBlockPos(QuadBlock QB);

	bool checkOverlap(QuadBlock);

	bool checkfilledRows(int filledrows[], int *numfilled);

	void deleteOneRow(int currentRow);

	void setTopRowBlack();
};

#endif


