// Lucas Keyes
// bulk of the program methods of Super Happy Quadblocks

#ifndef __PROGRAM_METHODS__
#define __PROGRAM_METHODS__


#include "quadblock.h"
#include "soundobject.h"

bool loadBlocks();
bool loadScore();
void drawTextinGDI( char * , int, int, COLORREF);
void drawloadScreen();
void createQuadBlocks();
void putTopBlockinGrid(QuadBlock &);
void drawmapGridintoSec();
int processOneQuadBlock(QuadBlock &QB, int score[MAXSCOREPOS],QuadBlock nextblock);
int processPlayerInput(QuadBlock &QB);
int readPlayerInput();
bool processMove(QuadBlock &QB,int, int);
bool checkforProblems(QuadBlock QB);
void animateQuadBlock(QuadBlock QB, int score[MAXSCOREPOS]);
void drawmenuinSec();
void drawNextBlockSec(QuadBlock nextblock);
void drawScoreintoSec(int score[MAXNUMS]);
void addScore(int score[MAXSCOREPOS], int numfilled);
void deleteRows(int numfilled, int filledrows[MAXMAPY]);
void pauseGame();
void setBlocks(QuadBlock &top, QuadBlock &next);
void dostartScreen();
void doendScreen(int[]);
void deletesounds();


// functions for calculating different positions to screen
//------------------------------------------------------------------------------
int gridYtoScreenY(int row);
int gridXtoScreenX(int column);
int nxtblockYtoscreenY(int gridy);
int nxtblockXtoscreenX(int gridx);
int scoreYtoscreenY();
int scoreXtoscreenX(int pos);
int endscoreXtoscreenX(int pos);
int endscoreYtoscreenY();
int livesYtoscreenY();
int livesXtoscreenX();

//-----------------------------------------------------------------------------
// time functions
DWORD current_time();
DWORD new_next_time(int total_lines);


#endif