// Defines all the class information for the QuadBlock class

#ifndef QUADBLOCK_H
#define QUADBLOCK_H

#include "spacedesc.h"
#include "defines.h"



class QuadBlock {

public:      
	int gridX;     // x position in the mapGrid
	int gridY;     // y position in the mapGrid
	int numpos;    // number of different positions of the quadblock
	int currentpos;  // the current position in memory

	SpaceDesc spaceArray[MAXXPOS];  // array of space descriptions for
           
	QuadBlock(); // initializer function

	void createqbA();
	void createqbB();
	void createqbC();
	void createqbD();
	void createqbE();
	void createqbF();
	void createqbG();

	void copyQuadBlocks(QuadBlock);

	void setnewXYPosition(int movement);

	int currentColorAt(int x,int y);

	bool inBounds();



};

#endif